<?php
/*
  $Id: attributeManager.php,v 3.4.0
  
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright © 2021 Rainer Schmied
  
  based on attributeManager.php,v 1.0 21/02/06 Sam West$
  Copyright © 2006 Kangaroo Partners
  http://kangaroopartners.com
  osc@kangaroopartners.com

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Released under the GNU General Public License
*/

  function drawDropDownPrefix($params, $selected = '') {
    return (new Select('prefix', [['id' => '', 'text' => ''], ['id' => urlencode('+'), 'text' => '+'], ['id' => '-', 'text' => '-']], $params))->set_selection(($selected == '+') ? urlencode('+') : $selected);
  }

// START: More Product Weight added by RusNN
  if (AM_USE_MPW == 'true') {
    function drawDropDownWeightPrefix($params, $selected = '') {
      return (new Select('weight_prefix', [['id' => '', 'text' => ''], ['id' => urlencode('+'), 'text' => '+'], ['id' => '-', 'text' => '-']], $params))->set_selection(($selected == '+') ? urlencode('+') : $selected);
    }
  }
// END More Product Weight added by RusNN

// START: Option Types added by raiwa
  if (AM_USE_OPTION_TYPES == 'true') {
    function drawDropDownOptionTypesPrefix($params, $selected = '') {
      $drop_down_values = [['id' => 0, 'text' => AM_AJAX_OPTIONS_TYPE_SELECT_NAME],
                           ['id' => 1, 'text' => AM_AJAX_OPTIONS_TYPE_TEXT_NAME],
                           ['id' => 2, 'text' => AM_AJAX_OPTIONS_TYPE_TEXTAREA_NAME],
                           ['id' => 3, 'text' => AM_AJAX_OPTIONS_TYPE_RADIO_NAME],
                           ['id' => 4, 'text' => AM_AJAX_OPTIONS_TYPE_CHECKBOX_NAME],
                           ['id' => 5, 'text' => AM_AJAX_OPTIONS_TYPE_FILE_NAME]];

      return (new Select('option_type', $drop_down_values, $params))->set_selection($selected);
    }
  }
// END: Option Types added by raiwa

function amGetAttributeManagerInstance($get) {
	
	if (!isset($get['products_id']) || !is_numeric($get['products_id']) ) {

		// first time visiting the page - delete the session var and start again
		if (isset($get[AM_PAGE_ACTION_NAME]) && 'new_product' == $get[AM_PAGE_ACTION_NAME] && isset($get[AM_ACTION_GET_VARIABLE]) && !empty($get[AM_ACTION_GET_VARIABLE]) ) {
			amSessionUnregister(AM_SESSION_VAR_NAME);	
    }
    amSessionRegister(AM_SESSION_VAR_NAME, []);

    $am_session_var_name = amGetSessionVariable(AM_SESSION_VAR_NAME);
    return new attributeManagerAtomic($am_session_var_name);
	}	else {
		return new attributeManagerInstant((int)$_GET['products_id']);
  }
}
