<?php
/*
  $Id: attributeManager.php,v 3.6.0.

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
  Tradução para Português do Brasil de AJAX-AttributeManager-V2.9
  
  por Valmy Gomes (Atualizado em 28/01/2010)
  Conheça a LEGALLOJA, uma OsCommerce integrada com Mercado Livre, Toda Oferta, Twitter e SMS
  http://www.legalloja.com.br
  valmygomes@legalzona.com.br  */

//attributeManagerPrompts.inc.php

const AM_AJAX_YES = 'Sim';
const AM_AJAX_NO = 'Não';
const AM_AJAX_UPDATE = 'Atualizar';
const AM_AJAX_CANCEL = 'Cancelar';
const AM_AJAX_OK = 'OK';

const AM_AJAX_SORT = 'Ordenar';
const AM_AJAX_TRACK_STOCK = 'Seguir stock?';
const AM_AJAX_TRACK_STOCK_YES = 'Si';

const AM_AJAX_ENTER_NEW_OPTION_NAME = 'Insira o nome do novo atributo';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME = 'Novo valor';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME_TO_ADD_TO = 'Insira o novo nome do valor para adicionar a %s';

const AM_AJAX_PROMPT_REMOVE_OPTION_AND_ALL_VALUES = 'Tem certeza que deseja apagar os atributos de %s e todos seus valores para este produto?';
const AM_AJAX_PROMPT_REMOVE_OPTION = 'Tem certeza que deseja apagar %s deste produto?';
const AM_AJAX_PROMPT_STOCK_COMBINATION = 'Tem certeza que deseja remover esta combinação de stock deste produto?';

const AM_AJAX_PROMPT_LOAD_TEMPLATE = 'Tem certeza que deseja carregar o Template %s? <br />Esta operação irá sobrepor as opções atuais do produto e não pode ser anulada!';
const AM_AJAX_NEW_TEMPLATE_NAME_HEADER = 'Insira o nome do novo template. Ou...';
const AM_AJAX_NEW_NAME = 'Novo nome:';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TO_OVERWRITE = ' ...<br /> ... escolha um que já existe para o actualizar';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TITLE = 'Já existente:'; 
const AM_AJAX_RENAME_TEMPLATE_ENTER_NEW_NAME = 'Insira o novo nome para o Template %s';
const AM_AJAX_PROMPT_DELETE_TEMPLATE = 'Tem certeza que deseja apagar o Template %s?<br>Esta operação não pode ser desfeita!';

//attributeManager.php
const AM_AJAX_ADDS_ATTRIBUTE_TO_OPTION = 'Adiciona o atributo selecionado na esquerda para a opção %s';
const AM_AJAX_ADDS_NEW_VALUE_TO_OPTION = 'Adiciona um novo valor para a opção %s';
const AM_AJAX_PRODUCT_REMOVES_OPTION_AND_ITS_VALUES = 'Remover a opção %1$s e o(s) %2$d valor(es) abaixo deste produto';
const AM_AJAX_CHANGES = 'Modificar'; 
const AM_AJAX_LOADS_SELECTED_TEMPLATE = 'Carregar o Template selecionado';
const AM_AJAX_SAVES_ATTRIBUTES_AS_A_NEW_TEMPLATE = 'Gravar os atributos atuais como um novo Template';
const AM_AJAX_RENAMES_THE_SELECTED_TEMPLATE = 'Alterar o nome do template selecionado';
const AM_AJAX_DELETES_THE_SELECTED_TEMPLATE = 'Apagar o template selecionado';
const AM_AJAX_NAME = 'Nome';
const AM_AJAX_VALUE = 'Valor';
const AM_AJAX_ACTION = 'Ação';
const AM_AJAX_QT_PRO = 'Quantidades em stock';
const AM_AJAX_PRODUCT_REMOVES_VALUE_FROM_OPTION = 'Remover %1$s de %2$s deste produto';
const AM_AJAX_MOVES_OPTION_UP = 'Mover opção para cima';
const AM_AJAX_MOVES_OPTION_DOWN = 'Mover opção para baixo';
const AM_AJAX_MOVES_VALUE_UP = 'Mover valor para cima';
const AM_AJAX_MOVES_VALUE_DOWN = 'Mover valor para baixo';
const AM_AJAX_ADDS_NEW_OPTION = 'Adicionar uma nova opção na lista';
const AM_AJAX_OPTION = 'Opção:';
const AM_AJAX_PREFIX = 'Prefixo: ';
const AM_AJAX_PRICE = 'Diferença de Preço: ';
const AM_AJAX_ATTRIBUTE_CODE = 'Code: ';
const AM_AJAX_WEIGHT_PREFIX = 'Prefixo de Peso: ';
const AM_AJAX_WEIGHT = 'Peso: ';
const AM_AJAX_IMAGE = 'Image: ';
const AM_AJAX_IMAGE_PRODUCT_OPTION = 'Products Options Image: ';
const AM_AJAX_IMAGE_OPTION_VALUE = 'Image:';
const AM_AJAX_IMAGE_DELETE = 'Delete image option';
const AM_AJAX_HEADER_IMAGE_ADD_NEW = 'Add/Edit image option for \"%s\"';
const AM_AJAX_HEADER_IMAGE_DELETE = 'Delete image option from \"%s\"';
const AM_AJAX_ADDS_NEW_OPTION_VALUE = 'Adicionar um novo valor na lista';
const AM_AJAX_ADDS_ATTRIBUTE_TO_PRODUCT = 'Adicionar este atributo ao produto atual';
const AM_AJAX_DELETES_ATTRIBUTE_FROM_PRODUCT = 'Apagar o atributo ou combinação de atributos do produto atual';
const AM_AJAX_QUANTITY = 'Quantidade';
const AM_AJAX_PRODUCT_REMOVE_ATTRIBUTE_COMBINATION_AND_STOCK = 'Apagar esta combinação de atributos e stock deste produto';
const AM_AJAX_UPDATE_OR_INSERT_ATTRIBUTE_COMBINATIONBY_QUANTITY = 'Atualizar ou inserir a combinação de atributo com a determinada quantidade';
const AM_AJAX_UPDATE_PRODUCT_QUANTITY = 'Definir a quantidade indicada para o produto atual';

//attributeManager.class.php
const AM_AJAX_TEMPLATES = '-- Templates --';

//----------------------------
// Change: download attributes for AM
//
// author: mytool
//-----------------------------
const AM_AJAX_FILENAME = 'Nome do Arquivo';
const AM_AJAX_FILE_DAYS = 'Número de Dias';
const AM_AJAX_FILE_COUNT = 'Máx. Downloads';
const AM_AJAX_DOWLNOAD_EDIT = 'Alterar Opções de Download';
const AM_AJAX_DOWLNOAD_ADD_NEW = 'Adicionar Opções de Download';
const AM_AJAX_DOWLNOAD_DELETE = 'Apagar Opções de Download';
const AM_AJAX_HEADER_DOWLNOAD_ADD_NEW = 'Adicionar Opções de Download a \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_EDIT = 'Alterar Opções de Download de \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_DELETE = 'Apagar Opções de Download \"%s\"';
const AM_AJAX_FIRST_SAVE = 'Gravar produto antes de adicionar opções';

//----------------------------
// EOF Change: download attributes for AM
//-----------------------------

const AM_AJAX_OPTION_NEW_PANEL = 'Nova Opção:';
const AM_AJAX_SORT_NUMERIC = 'Ordem Numérica';
const AM_AJAX_SORT_ALPHABETIC = 'Ordem Alfabética';

// wholesale added by @BrockleyJohn 
const AM_AJAX_WHOLESALE = 'Trade';

// option types added by @raiwa 
const AM_AJAX_OPTION_TYPE = 'Option Type';
const AM_AJAX_OPTION_TYPE_LENGTH = 'Length';
const AM_AJAX_OPTION_TYPE_COMMENT = 'Comment';
const AM_AJAX_OPTIONS_TYPE_SELECT_NAME = 'Select Menu';
const AM_AJAX_OPTIONS_TYPE_TEXT_NAME = 'Text';
const AM_AJAX_OPTIONS_TYPE_TEXTAREA_NAME = 'TextArea';
const AM_AJAX_OPTIONS_TYPE_RADIO_NAME = 'Radio';
const AM_AJAX_OPTIONS_TYPE_CHECKBOX_NAME = 'Checkbox';
const AM_AJAX_OPTIONS_TYPE_FILE_NAME = 'File';
