<?php
/*
  $Id: attributeManager.php,v 3.6.0.

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
  English translation to AJAX-AttributeManager-V2.9
  
  by Shimon Doodkin
  http://help.me.pro.googlepages.com
  helpmepro1@gmail.com
*/

//attributeManagerPrompts.inc.php

const AM_AJAX_YES = 'Si';
const AM_AJAX_NO = 'No';
const AM_AJAX_UPDATE = 'Actualizar';
const AM_AJAX_CANCEL = 'Cancelar';
const AM_AJAX_OK = 'OK';

const AM_AJAX_SORT = 'Ordenar';
const AM_AJAX_TRACK_STOCK = 'Controlar Stock?';
const AM_AJAX_TRACK_STOCK_YES = 'Si';

const AM_AJAX_ENTER_NEW_OPTION_NAME = 'Nuevo atributo';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME = 'Nuevo valor';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME_TO_ADD_TO = 'Nuevo nombre de valor a añadir a %s';

const AM_AJAX_PROMPT_REMOVE_OPTION_AND_ALL_VALUES = 'Esta seguro de que quiere borrar los atributos de %s y todos sus valores para este producto?';
const AM_AJAX_PROMPT_REMOVE_OPTION = 'Seguro que quiere borrar %s de este producto?';
const AM_AJAX_PROMPT_STOCK_COMBINATION = 'Seguro que quiere borrar esta combinación de stock de este producto?';

const AM_AJAX_PROMPT_LOAD_TEMPLATE = 'Seguro que quiere recuperar %s de la plantilla? <br />Se sobreescribirán los atributos actuales del producto. La operación no se puede deshacer';
const AM_AJAX_NEW_TEMPLATE_NAME_HEADER = 'Por favor incluya el nomber de la nueva plantilla. O...';
const AM_AJAX_NEW_NAME = 'Nuevo nombre:';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TO_OVERWRITE = ' ...<br /> ... escoja una que exista para sobreescribirla';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TITLE = 'Ya existe:'; 
const AM_AJAX_RENAME_TEMPLATE_ENTER_NEW_NAME = 'Por favor incluya el nuevo nombre para la plantilla %s';
const AM_AJAX_PROMPT_DELETE_TEMPLATE = 'Confirme borrado de la plantilla %s?<br>La operación no se puede deshacer!';

//attributeManager.php
const AM_AJAX_ADDS_ATTRIBUTE_TO_OPTION = 'Añade el atributo seleccionado a la izquierda de la opción %s';
const AM_AJAX_ADDS_NEW_VALUE_TO_OPTION = 'Añade un nuevo valor a la opción %s';
const AM_AJAX_PRODUCT_REMOVES_OPTION_AND_ITS_VALUES = 'Borra la opción %1$s y los %2$d valor(es) por debajo de la opción de este producto';
const AM_AJAX_CHANGES = 'Cambios'; 
const AM_AJAX_LOADS_SELECTED_TEMPLATE = 'Carga la plantilla seleccionada';
const AM_AJAX_SAVES_ATTRIBUTES_AS_A_NEW_TEMPLATE = 'Guardar los atributos actuales como una nueva plantilla';
const AM_AJAX_RENAMES_THE_SELECTED_TEMPLATE = 'Renombrar la plantilla seleccionada';
const AM_AJAX_DELETES_THE_SELECTED_TEMPLATE = 'Borrar la plantilla seleccionada';
const AM_AJAX_NAME = 'Nombre';
const AM_AJAX_VALUE = 'Valor';
const AM_AJAX_ACTION = 'Acción';
const AM_AJAX_PRODUCT_REMOVES_VALUE_FROM_OPTION = 'Borra %1$s de %2$s, para este producto';
const AM_AJAX_MOVES_OPTION_UP = 'Mueve la opción hacía arriba';
const AM_AJAX_MOVES_OPTION_DOWN = 'Mueve la opción hacía abajo';
const AM_AJAX_MOVES_VALUE_UP = 'Mover el valor haca arriba';
const AM_AJAX_MOVES_VALUE_DOWN = 'Mover el valor hacia abajo';
const AM_AJAX_ADDS_NEW_OPTION = 'Añadir una nueva opción a la lista';
const AM_AJAX_OPTION = 'Opción:';
const AM_AJAX_PREFIX = 'Prefijo: ';
const AM_AJAX_PRICE = 'Precio: ';
const AM_AJAX_ATTRIBUTE_CODE = 'Código: ';
const AM_AJAX_WEIGHT_PREFIX = 'Prefijo Peso: ';
const AM_AJAX_WEIGHT = 'Peso: ';
const AM_AJAX_IMAGE = 'Imágen: ';
const AM_AJAX_IMAGE_PRODUCT_OPTION = 'Imágen de opción de producto: ';
const AM_AJAX_IMAGE_OPTION_VALUE = 'Imágen:';
const AM_AJAX_IMAGE_EDIT = 'Editar imágen de opción';
const AM_AJAX_IMAGE_ADD_NEW = 'Añadir imágen de opción';
const AM_AJAX_IMAGE_DELETE = 'Borrar imágen de opción';
const AM_AJAX_HEADER_IMAGE_ADD_NEW = 'Añadir/editar imágen de opción de \"%s\"';
const AM_AJAX_HEADER_IMAGE_DELETE = 'Borrar imágen de opción de \"%s\"';
const AM_AJAX_ADDS_NEW_OPTION_VALUE = 'Añade un nuevo valor de opción a la lista';
const AM_AJAX_ADDS_ATTRIBUTE_TO_PRODUCT = 'Añadir el atributo al producto actual';
const AM_AJAX_DELETES_ATTRIBUTE_FROM_PRODUCT = 'Borra atributo o combinación de atributos del producto actual';
const AM_AJAX_QUANTITY = 'Cantidad';
const AM_AJAX_PRODUCT_REMOVE_ATTRIBUTE_COMBINATION_AND_STOCK = 'Elimina esta combinación de atributos y las existencias del producto';
const AM_AJAX_UPDATE_OR_INSERT_ATTRIBUTE_COMBINATIONBY_QUANTITY = 'Insertar o actualizar el atributo en combinación con la cantidad determinada';
const AM_AJAX_UPDATE_PRODUCT_QUANTITY = 'Establecer la cantidad introducida para el producto actual';

//attributeManager.class.php
const AM_AJAX_TEMPLATES = '-- Plantillas --';

//----------------------------
// Change: download attributes for AM
//
// author: mytool
//-----------------------------
const AM_AJAX_FILENAME = 'Archivo';
const AM_AJAX_FILE_DAYS = 'Días';
const AM_AJAX_FILE_COUNT = 'descargas máximas';
const AM_AJAX_DOWLNOAD_EDIT = 'Editar opcion de descarga';
const AM_AJAX_DOWLNOAD_ADD_NEW = 'Añadir opcion de descarga';
const AM_AJAX_DOWLNOAD_DELETE = 'Borrar opcion de descarga';
const AM_AJAX_HEADER_DOWLNOAD_ADD_NEW = 'Añadir opcion de descarga para \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_EDIT = 'Editar opcion de descarga para\"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_DELETE = 'Borrar opcion de descarga para\"%s\"';
const AM_AJAX_FIRST_SAVE = 'Hay que guardar el producto antes de añadir opciones';

//----------------------------
// EOF Change: download attributes for AM
//-----------------------------

const AM_AJAX_OPTION_NEW_PANEL = 'Nueva opción:';
const AM_AJAX_SORT_NUMERIC = 'Ordenar por número';
const AM_AJAX_SORT_ALPHABETIC = 'Ordenar por letra';

// wholesale added by @BrockleyJohn 
const AM_AJAX_WHOLESALE = 'Trade';

// option types added by @raiwa 
const AM_AJAX_OPTION_TYPE = 'Option Type';
const AM_AJAX_OPTION_TYPE_LENGTH = 'Longitud';
const AM_AJAX_OPTION_TYPE_COMMENT = 'Comentario';
const AM_AJAX_OPTIONS_TYPE_SELECT_NAME = 'Menu de selección';
const AM_AJAX_OPTIONS_TYPE_TEXT_NAME = 'Textp';
const AM_AJAX_OPTIONS_TYPE_TEXTAREA_NAME = 'Area de texto';
const AM_AJAX_OPTIONS_TYPE_RADIO_NAME = 'Radio';
const AM_AJAX_OPTIONS_TYPE_CHECKBOX_NAME = 'Checkbox';
const AM_AJAX_OPTIONS_TYPE_FILE_NAME = 'Fichero';
