<?php
/*
  $Id: attributeManager.php,v 3.6.0.

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
  English translation to AJAX-AttributeManager-V2.9
  
  by Shimon Doodkin
  http://help.me.pro.googlepages.com
  helpmepro1@gmail.com
*/

//attributeManagerPrompts.inc.php

const AM_AJAX_YES = 'Ja';
const AM_AJAX_NO = 'Nein';
const AM_AJAX_UPDATE = 'Aktualisieren';
const AM_AJAX_CANCEL = 'Abbrechen';
const AM_AJAX_OK = 'OK';

const AM_AJAX_SORT = 'Sortieren';
const AM_AJAX_TRACK_STOCK = 'Lagerbestand kontrollieren?';
const AM_AJAX_TRACK_STOCK_YES = 'Ja';

const AM_AJAX_ENTER_NEW_OPTION_NAME = 'Bitte einen neuen Optionsnamen eingeben';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME = 'Bitte einen neuen Optionswertnamen eingeben';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME_TO_ADD_TO = 'Bitte einen neuen Namen für den Optionswert %s hinzufügen';

const AM_AJAX_PROMPT_REMOVE_OPTION_AND_ALL_VALUES = 'Sind Sie sicher, dass Sie %s und all seine folgenden Werte für dieses Produkt löschen wollen?';
const AM_AJAX_PROMPT_REMOVE_OPTION = 'Sind Sie sicher, dass Sie %s von diesem Produkt löschen wollen?';
const AM_AJAX_PROMPT_STOCK_COMBINATION = 'Sind Sie sicher, dass Sie die Lager-Kombination von diesem Produkt löschen wollen?';

const AM_AJAX_PROMPT_LOAD_TEMPLATE = 'Sind Sie sicher, dass Sie %s Template laden wollen? <br />Dieses wird die aktuellen Produkt Optionen Überschreiben und kann nicht rückgängig gemacht werden.';
const AM_AJAX_NEW_TEMPLATE_NAME_HEADER = 'Bitte einen neuen Namen für das neue Template eingeben. Oder...';
const AM_AJAX_NEW_NAME = 'Neuer Name:';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TO_OVERWRITE = ' ...<br /> ... einen Existierenden zum überschreiben auswählen';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TITLE = 'Existiert:'; 
const AM_AJAX_RENAME_TEMPLATE_ENTER_NEW_NAME = 'Bitte einen neuen Namen für das Template %s eingeben';
const AM_AJAX_PROMPT_DELETE_TEMPLATE = 'Sind Sie sicher, möchten Sie das Template %s Löschen?<br>Dies kann nicht rückgängig gemacht werden!';

//attributeManager.php
const AM_AJAX_ADDS_ATTRIBUTE_TO_OPTION = 'Fügt das links ausgewählte Attribut zu der Option %s hinzu';
const AM_AJAX_ADDS_NEW_VALUE_TO_OPTION = 'Fügt einen neuen Wert zu der Option %s hinzu';
const AM_AJAX_PRODUCT_REMOVES_OPTION_AND_ITS_VALUES = 'Löscht, die Option %1$s und die %2$d Optionswert(e) die nachfolgen, von diesem Produkt';
const AM_AJAX_CHANGES = 'Ändern'; 
const AM_AJAX_LOADS_SELECTED_TEMPLATE = 'Lädt das ausgewählte Template';
const AM_AJAX_SAVES_ATTRIBUTES_AS_A_NEW_TEMPLATE = 'Sichert das aktuelle Attribut als ein neues Template';
const AM_AJAX_RENAMES_THE_SELECTED_TEMPLATE = 'Benennt das ausgewählte Template um';
const AM_AJAX_DELETES_THE_SELECTED_TEMPLATE = 'Löscht das ausgewählte Template';
const AM_AJAX_NAME = 'Name';
const AM_AJAX_VALUE = 'Wert:';
const AM_AJAX_ACTION = 'Aktion';
const AM_AJAX_PRODUCT_REMOVES_VALUE_FROM_OPTION = 'Löschen %1$s von %2$s, aus diesem Produkt';
const AM_AJAX_MOVES_OPTION_UP = 'Verschiebt Option hoch';
const AM_AJAX_MOVES_OPTION_DOWN = 'Verschiebt Option runter';
const AM_AJAX_MOVES_VALUE_UP = 'Verschiebt Optionswert hoch';
const AM_AJAX_MOVES_VALUE_DOWN = 'Verschiebt Optionswert runter';
const AM_AJAX_ADDS_NEW_OPTION = 'Fügt eine neue Option zur Liste hinzu';
const AM_AJAX_OPTION = 'Option:';
const AM_AJAX_PREFIX = 'Prefix: ';
const AM_AJAX_PRICE = 'Preis: ';
const AM_AJAX_ATTRIBUTE_CODE = 'Code: ';
const AM_AJAX_WEIGHT_PREFIX = 'Gewicht Prefix: ';
const AM_AJAX_WEIGHT = 'Gewicht: ';
const AM_AJAX_IMAGE = 'Bild: ';
const AM_AJAX_IMAGE_EDIT = 'Options-Bild aktualisieren';
const AM_AJAX_IMAGE_ADD_NEW = 'Neues Options-Bild hinzufügen';
const AM_AJAX_IMAGE_DELETE = 'Options-Bild löschen';
const AM_AJAX_HEADER_IMAGE_ADD_NEW = 'Options-Bild für \"%s\" hinzufüfen/aktualisieren';
const AM_AJAX_HEADER_IMAGE_DELETE = 'Options-Bild für \"%s\" löschen';
const AM_AJAX_ADDS_NEW_OPTION_VALUE = 'Fügt einen neuen Optionswert zur Liste hinzu';
const AM_AJAX_ADDS_ATTRIBUTE_TO_PRODUCT = 'Fügt das Attribut zum aktuellen Produkt hinzu';
const AM_AJAX_DELETES_ATTRIBUTE_FROM_PRODUCT = 'Löscht dieses Attribut oder diese Attribut Kombination von diesem Produkt auf';
const AM_AJAX_QUANTITY = 'Menge';
const AM_AJAX_PRODUCT_REMOVE_ATTRIBUTE_COMBINATION_AND_STOCK = 'Löscht diese Attribut Kombination und löst Lagerbestände von diesem Produkt auf';
const AM_AJAX_UPDATE_OR_INSERT_ATTRIBUTE_COMBINATIONBY_QUANTITY = 'Aktualisiert oder fügt die Attributkombination mit den angegebenen Eigenschaften hinzu';
const AM_AJAX_UPDATE_PRODUCT_QUANTITY = 'Lagerbestandsmenge für dieses Produckt eingeben';

//attributeManager.class.php
const AM_AJAX_TEMPLATES = '-- Templates --';

//----------------------------
// Change: download attributes for AM
//
// author: mytool
//-----------------------------
const AM_AJAX_FILENAME = 'Dateiname';
const AM_AJAX_FILE_DAYS = 'Download-Tage';
const AM_AJAX_FILE_COUNT = 'Max. Downloads';
const AM_AJAX_DOWLNOAD_EDIT = 'Download-Option bearbeiten';
const AM_AJAX_DOWLNOAD_ADD_NEW = 'Download-Option hinzufügen';
const AM_AJAX_DOWLNOAD_DELETE = 'Download-Option löschen';
const AM_AJAX_HEADER_DOWLNOAD_ADD_NEW = 'Download-Option hinzufügen für \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_EDIT = 'Download-Option für \"%s\" bearbeiten';
const AM_AJAX_HEADER_DOWLNOAD_DELETE = 'Download-Option für \"%s\" löschen';
const AM_AJAX_FIRST_SAVE = 'Produkt muss gespeichert sein, damit Optionen hinzugef&uuml;gt werden k&ouml;nnen';

//----------------------------
// EOF Change: download attributes for AM
//-----------------------------

const AM_AJAX_OPTION_NEW_PANEL = 'Neue Option:';
const AM_AJAX_SORT_NUMERIC = 'Numerisch sortieren';
const AM_AJAX_SORT_ALPHABETIC = 'Alphabetisch sortieren';

// wholesale added by @BrockleyJohn 
const AM_AJAX_WHOLESALE = 'Trade';

// option types added by @raiwa 
const AM_AJAX_OPTION_TYPE = 'Option Type';
const AM_AJAX_OPTION_TYPE_LENGTH = 'Länge';
const AM_AJAX_OPTION_TYPE_COMMENT = 'Kommentar';
const AM_AJAX_OPTIONS_TYPE_SELECT_NAME = 'Auswahlmenü';
const AM_AJAX_OPTIONS_TYPE_TEXT_NAME = 'Text';
const AM_AJAX_OPTIONS_TYPE_TEXTAREA_NAME = 'Textbereich';
const AM_AJAX_OPTIONS_TYPE_RADIO_NAME = 'Radio';
const AM_AJAX_OPTIONS_TYPE_CHECKBOX_NAME = 'Checkbox';
const AM_AJAX_OPTIONS_TYPE_FILE_NAME = 'Datei';
