<?php
/*
  $Id: attributeManager.php,v 3.6.0.

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
  English translation to AJAX-AttributeManager-V2.9
  
  by Shimon Doodkin
  http://help.me.pro.googlepages.com
  helpmepro1@gmail.com
*/

//attributeManagerPrompts.inc.php

const AM_AJAX_YES = 'Si';
const AM_AJAX_NO = 'No';
const AM_AJAX_UPDATE = 'Aggiorna';
const AM_AJAX_CANCEL = 'Annulla';
const AM_AJAX_OK = 'OK';

const AM_AJAX_SORT = 'Ordine';
const AM_AJAX_TRACK_STOCK = 'Track Stock?';
const AM_AJAX_TRACK_STOCK_YES = 'Si';

const AM_AJAX_ENTER_NEW_OPTION_NAME = 'Please enter a new Option Name';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME = 'Please enter a new Option Value Name';
const AM_AJAX_ENTER_NEW_OPTION_VALUE_NAME_TO_ADD_TO = 'Please enter a new Option Value Name to add to %s';

const AM_AJAX_PROMPT_REMOVE_OPTION_AND_ALL_VALUES = 'Are you sure you want to remove %s and all the values below it from this product?';
const AM_AJAX_PROMPT_REMOVE_OPTION = 'Are you sure you want to remove %s from this product?';
const AM_AJAX_PROMPT_STOCK_COMBINATION = 'Are you sure you want to remove this stock combination from this product?';

const AM_AJAX_PROMPT_LOAD_TEMPLATE = 'Are you sure you want to load the %s Template? <br>This will overwrite this products current options and cannot be undone.';
const AM_AJAX_NEW_TEMPLATE_NAME_HEADER = 'Please enter a new name for the new Template. Or...';
const AM_AJAX_NEW_NAME = 'New Name:';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TO_OVERWRITE = ' ...<br> ... Choose an existing one to overwrite';
const AM_AJAX_CHOOSE_EXISTING_TEMPLATE_TITLE = 'Existing:'; 
const AM_AJAX_RENAME_TEMPLATE_ENTER_NEW_NAME = 'Please enter the new name for the %s Template';
const AM_AJAX_PROMPT_DELETE_TEMPLATE = 'Are you sure you want to delete the %s Template?<br>This cannot be undone!';

//attributeManager.php

const AM_AJAX_ADDS_ATTRIBUTE_TO_OPTION = 'Adds the selected attribute on the left to the %s option';
const AM_AJAX_ADDS_NEW_VALUE_TO_OPTION = 'Adds a new value to the %s option';
const AM_AJAX_PRODUCT_REMOVES_OPTION_AND_ITS_VALUES = 'Removes the option %1$s and the %2$d option value(s) below it  from this product';
const AM_AJAX_CHANGES = 'Changes'; 
const AM_AJAX_LOADS_SELECTED_TEMPLATE = 'Loads the selected template';
const AM_AJAX_SAVES_ATTRIBUTES_AS_A_NEW_TEMPLATE = 'Saves the current attributes as a new template';
const AM_AJAX_RENAMES_THE_SELECTED_TEMPLATE = 'Renames the selected template';
const AM_AJAX_DELETES_THE_SELECTED_TEMPLATE = 'Deletes the selected template';
const AM_AJAX_NAME = 'Name';
const AM_AJAX_VALUE = 'Valore';
const AM_AJAX_ACTION = 'Action';
const AM_AJAX_PRODUCT_REMOVES_VALUE_FROM_OPTION = 'Removes %1$s from %2$s, from this product';
const AM_AJAX_MOVES_OPTION_UP = 'Moves option up';
const AM_AJAX_MOVES_OPTION_DOWN = 'Moves option down';
const AM_AJAX_MOVES_VALUE_UP = 'Moves option value up';
const AM_AJAX_MOVES_VALUE_DOWN = 'Moves option value down';
const AM_AJAX_ADDS_NEW_OPTION = 'Adds a new option to the list';
const AM_AJAX_OPTION = 'Option:';
const AM_AJAX_PREFIX = 'Prefix: ';
const AM_AJAX_PRICE = 'Price: ';
const AM_AJAX_ATTRIBUTE_CODE = 'Code: ';
const AM_AJAX_WEIGHT_PREFIX = 'Wgt.Prefix: ';
const AM_AJAX_WEIGHT = 'Weight: ';
const AM_AJAX_IMAGE = 'Image: ';
const AM_AJAX_IMAGE_PRODUCT_OPTION = 'Products Options Image: ';
const AM_AJAX_IMAGE_ADD_NEW = 'Add image option';
const AM_AJAX_IMAGE_DELETE = 'Delete image option';
const AM_AJAX_HEADER_IMAGE_ADD_NEW = 'Add/Edit image option for \"%s\"';
const AM_AJAX_HEADER_IMAGE_DELETE = 'Delete image option from \"%s\"';
const AM_AJAX_ADDS_NEW_OPTION_VALUE = 'Adds a new option value to the list';
const AM_AJAX_ADDS_ATTRIBUTE_TO_PRODUCT = 'Adds the attribute to the current product';
const AM_AJAX_DELETES_ATTRIBUTE_FROM_PRODUCT = 'Deletes attribute or attribute combination from the current product';
const AM_AJAX_QUANTITY = 'Quantity:';
const AM_AJAX_PRODUCT_REMOVE_ATTRIBUTE_COMBINATION_AND_STOCK = 'Removes this attribute combination and stock from this product';
const AM_AJAX_UPDATE_OR_INSERT_ATTRIBUTE_COMBINATIONBY_QUANTITY = 'Update or Insert the attribute combination with the given quantity';
const AM_AJAX_UPDATE_PRODUCT_QUANTITY = 'Set the given quantity to the current product';

//attributeManager.class.php
const AM_AJAX_TEMPLATES = '-- Templates --';

//----------------------------
// Change: download attributes for AM
//
// author: mytool
//-----------------------------
const AM_AJAX_FILENAME = 'File';
const AM_AJAX_FILE_DAYS = 'Days';
const AM_AJAX_FILE_COUNT = 'Max. downloads';
const AM_AJAX_DOWLNOAD_EDIT = 'Edit download option';
const AM_AJAX_DOWLNOAD_ADD_NEW = 'Add download option';
const AM_AJAX_DOWLNOAD_DELETE = 'Delete download option';
const AM_AJAX_HEADER_DOWLNOAD_ADD_NEW = 'Add download option for \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_EDIT = 'Edit download option for \"%s\"';
const AM_AJAX_HEADER_DOWLNOAD_DELETE = 'Delete download option from \"%s\"';
const AM_AJAX_FIRST_SAVE = 'Save Product before adding options';

//----------------------------
// EOF Change: download attributes for AM
//-----------------------------

const AM_AJAX_OPTION_NEW_PANEL = 'New option:';
const AM_AJAX_SORT_NUMERIC = 'Sort Numerically';
const AM_AJAX_SORT_ALPHABETIC = 'Sort Alphabetically';

// wholesale added by @BrockleyJohn 
const AM_AJAX_WHOLESALE = 'Trade';

// option types added by @raiwa 
const AM_AJAX_OPTION_TYPE = 'Option Type';
const AM_AJAX_OPTION_TYPE_LENGTH = 'Length';
const AM_AJAX_OPTION_TYPE_COMMENT = 'Comment';
const AM_AJAX_OPTIONS_TYPE_SELECT_NAME = 'Select Menu';
const AM_AJAX_OPTIONS_TYPE_TEXT_NAME = 'Text';
const AM_AJAX_OPTIONS_TYPE_TEXTAREA_NAME = 'TextArea';
const AM_AJAX_OPTIONS_TYPE_RADIO_NAME = 'Radio';
const AM_AJAX_OPTIONS_TYPE_CHECKBOX_NAME = 'Checkbox';
const AM_AJAX_OPTIONS_TYPE_FILE_NAME = 'File';
